blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
d918d5b8c10988daf6603d09e3694b2e2a70452b | Shell | dynatrace-neoload-perf-workshop-infra/workshop | /helper-scripts/forcestop.sh | UTF-8 | 579 | 2.71875 | 3 | [] | no_license | #!/bin/bash
echo "==================================="
echo "Stopping containers if they exist"
echo "==================================="
sudo docker stop $(sudo docker ps -a | grep keptn-orders | awk '{ print $1 }')
echo ""
echo "==================================="
echo "Removing containers if they exist"
echo "===... | true |
28f058786ccab4945d1cb2544158651db32cb8a8 | Shell | tbots/docs | /programming/scripts/scripts2/getopts/getopts2.sh | UTF-8 | 801 | 3.46875 | 3 | [] | no_license | #!/bin/bash
echo -e "[DEBUG] Before the loop:\n"
echo -e "\tOPTIND: ${!OPTIND} $OPTIND"
echo -e "\tOPTERR: $OPTERR"
echo -e "\tOPTARG: $OPTARG\n"
until [ -z ${!OPTIND} ] # until command line argument is not empty
do
echo -e "[DEBUG] Inside the loop:\n"
echo -e "\tOPTIND: ${!OPTIND} $OPTIND"
echo -e "\tOPTARG:... | true |
9bf89e84cd23c9bba67cb5bf0ee48df30b03996c | Shell | ornlneutronimaging/CylindricalGeometryCorrection | /clean.sh | UTF-8 | 403 | 2.71875 | 3 | [
"BSD-3-Clause"
] | permissive | # Run this script to remove folders and files produced from PyPI build, conda
# build, and pytest. Returns the project folder to a pre-build state.
echo "Removing PyPI build folders and files..."
rm -rf build/
rm -rf dist/
rm -rf *.egg-info/
echo "Removing Conda build folders and files..."
rm -rf noarch/
rm -rf osx-6... | true |
25903a87d556217e68137f24d6796a00fc59f74a | Shell | giapth/scripts_install_controller_newton | /net-1.neutron.sh | UTF-8 | 4,414 | 2.921875 | 3 | [] | no_license | #!/bin/bash -ex
source config.cfg
source functions.sh
echocolor "Install CRUDINI"
sleep 3
apt-get install -y crudini
echocolor "Install NEUTRON Service on Network node use Openvswitch"
sleep 5
apt-get install -y neutron-openvswitch-agent \
neutron-l3-agent neutron-dhcp-agent neutron-metadata-agent
######## Backup c... | true |
d2a7c3feda32601b247d20ffbcaf86ec95c103fa | Shell | flynnduism/mystikos | /scripts/myst_cc | UTF-8 | 6,320 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# This script generates the code coverage data for myst project.
# You must run unit tests, libc tests, and samples with MYST_ENABLE_GCOV=1 first
# This script does these steps:
# 1. Creates gcov_pot folder under project root folder
# 2. Copies crt, utils, host, kernel and libc (third_party/enclave-musl/m... | true |
68d9fc844fad33f9078b814f3a33530d5239ccf3 | Shell | uzzi1234/TestProject | /Scripts/restructure-project.sh | UTF-8 | 624 | 3.8125 | 4 | [] | no_license | #! /bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
SRC_ASSETS_DIR="src"
SRC_TESTS_DIR="test"
SRC_PROJECT_SETTINGS_DIR="$SCRIPT_DIR/ProjectSettings"
DST_ASSETS_DIR="./Project/Assets/src"
DST_TEST_DIR="./Project/Assets/test"
DST_PROJECT_SETTINGS_DIR=./Project/ProjectSettings
copy() {
if [ -d... | true |
3dfe34dde5b0fc97a7c2275e62f74c28c75cf620 | Shell | gksander/dotfiles | /bin/theme | UTF-8 | 2,847 | 2.890625 | 3 | [] | no_license | #!/usr/bin/env bash
THEME=$1 # light or dark
case $THEME in
light|dark)
;;
*)
echo "usage: theme <light|dark>"
exit 1
;;
esac
OLDTHEME=$(cat $HOME/.theme)
echo "$THEME" > $HOME/.theme
case $THEME in
light)
WALLPAPER=/home/felix/downloads/wallpapers/Artistic-Landsca... | true |
57ba792081ca2359f969c0c92d89e3f11e9d2fa6 | Shell | jodavaho/smartcd | /setup.sh | UTF-8 | 2,590 | 3.671875 | 4 | [
"MIT"
] | permissive |
scd(){
if [[ $# == 1 ]]; then
cd $1
return;
fi
if [ $# == 2 ] && [ -d "$1/$2" ] ;
then
echo "$1/$2"
cd "$1/$2"
return;
fi
ostring="Searching: $1 for ${@:2}"
lostring=${#ostring}
echo "$ostring"
tput cuu1
#for pdir in `find -L $1 -maxdepth 3 -type d -path "*/.git" -prune -o -print... | true |
5f7de612502c5ec4e733400b3a9de40b27b6a6e8 | Shell | alebcay/562-final-project | /csv_process.sh | UTF-8 | 2,329 | 3 | 3 | [] | no_license | #!/usr/bin/env bash
set -x
set -e
realEntries=$(wc -l real_labels.csv | awk '{ print $1 }')
cartoonEntries=$(wc -l cartoon_labels.csv | awk '{ print $1 }')
dd if=/dev/random of=cartoonrand count=1024
dd if=/dev/random of=realrand count=1024
shuf --random-source=cartoonrand cartoon_labels.csv > cartoon_labels_shuffl... | true |
989f3a5fa4274aa0115a2a15ad30e71aba49729d | Shell | pbiggar/phc | /test/framework/records/loop | UTF-8 | 892 | 3.40625 | 3 | [] | no_license | #!/bin/bash
# all subprocesses will have environmental variable set in their shell. That
# way, we can identify and kill stray subprocesses after the main test has
# completed. A number of other ways have been tried, including using $? and $1
# with pgrep, but none have actualy manages to consistently identify
# subpr... | true |
9a4eb83efa24c9e130441859237b4f1cf8be548c | Shell | iamtakingiteasy/ShShBot | /bot/func/main.sh | UTF-8 | 7,125 | 3.15625 | 3 | [
"WTFPL"
] | permissive | #!/bin/sh
#set -x
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING... | true |
e86b79cfb1065d115ca74cb86d7d279a7f81c872 | Shell | kaiwan/vasu_grapher | /vasu_grapher | UTF-8 | 1,811 | 3.875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# vasu_grapher
#
# A simple Virtual Address Space - Usermode - Graphing
# visualization utility
# https://github.com/kaiwan/vasu_grapher.git
#
# Run this program; it invokes the other scripts as required.
name=$(basename $0)
logfile_post_process()
{
sed -i.bkp "/###\:\:\:/d" ${1} # take a backup & get rid... | true |
bf5545b9284a9bf1ceac3dab899d271e4b79a055 | Shell | perfug/slow-crud-app | /sca-test-harness/src/main/resources/runInterprocessContextSwitching.sh | UTF-8 | 451 | 2.71875 | 3 | [] | no_license | #!/bin/sh
if [ -L $0 ] ; then
DIR=$(dirname $(readlink -f $0)) ;
else
DIR=$(dirname $0) ;
fi ;
AUTH_HOST=127.0.0.1
HOD_HOST=127.0.0.1
TEST_CSV=InterprocessContextSwitchingExercise.csv
TEST_HARNESS_VERSION=0.1.0.BUILD-SNAPSHOT
java -cp $DIR/../../../target/sca-test-harness-$TEST_HARNESS_VERSION-jar-with-depen... | true |
571d2c6b87dc3b198407dbaaa87840ef2c9bea6f | Shell | freedomrun/Unity-Linux | /pkgutils/scripts/svnadd | UTF-8 | 2,137 | 4.375 | 4 | [] | no_license | #!/bin/sh
# name of this script
myname=$(basename $0)
#
# name of the .mo file for translations
moname="pkgutils"
#
# This function is for giving the script i18n support.
__ () {
local gettextopts="-d $moname -e --"
local TEXT=`gettext $gettextopts "$1"` # Unfortunately `` and $() remove any trailing newlin... | true |
68a19b946b0ded18d92f09399868f006b0e1b95b | Shell | bskydive/mysql_bash_highload_test | /phase_two.sh | UTF-8 | 1,307 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
filein=$1
threads=$2
retries=$3
dbpass=$4
dbuser=$5
dbname=$6
#todo
#collect all output to log
#echo end process
#(( thread_buffer=${threads} ))
#nthread=1
#exec 119<> "$filein"
echo "prepare copies ..."
for (( i=0 ; i<$threads ; i++ )); do
#echo "out `wc -l $fileout` : thread_buffer $thread_b... | true |
1df13ce8b817fed6ca465ed06ccc44e485b57419 | Shell | ArcticDevs/ev-server | /src/aws/afterinstall_server.sh | UTF-8 | 1,191 | 3.40625 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
if [ -e /etc/environment_emobility.sh ]
then
. /etc/environment_emobility.sh
else
echo "/etc/environment_emobility.sh file not found, exiting"
exit 1
fi
[ -z $emobility_install_dir ] && { echo "emobility installation directory env variable not found, exiting"; exit 1; }
[ -z $emobility_lands... | true |
336b5c5ea18a430fbb6eee9b7e49a8d6288f845d | Shell | NapoleonWils0n/cerberus | /openvpn/vpn-split-route-script.sh | UTF-8 | 1,516 | 3.953125 | 4 | [] | no_license | #!/bin/bash
# openvpn split route, dns and socks5 proxy
#==========================================
# check to see if script was run as root
if [[ $UID -ne 0 ]]; then
echo "$0 must be run as root using sudo, make your own sandwich"
exit 1
fi
echo ' ______________________________________ ';
echo '/ Enter the n... | true |
aa4dfae61c5c20d2fb00d77d22afc66702a021d9 | Shell | 10779164/chaostoolkit-ansible | /chaostoolkit_ansible/machine/scripts/kill_process.sh | UTF-8 | 449 | 3.625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
if [ -z "$process_name" ]; then
echo "Please provide process name."
exit 1
fi
pid=$(ps -ef | grep $process_name | grep -v 'grep' | awk '{ print $2 }' | head -n 1)
experiment=$(kill $signal $pid)
ret=$?
if [ $ret -eq 0 ]; then
echo "experiment kill_process -> process <$process_name> on <host>:... | true |
6974f46ffb5e52455f86b4f0adedff20296d1a36 | Shell | helau/gen2vdr | /etc/gen2vdr/_config/bin/g2v_splash.sh | UTF-8 | 2,498 | 3.609375 | 4 | [] | no_license | # Gen2VDR splash functions - adopted from /sbin/splash-functions.sh
source /_config/bin/g2v_funcs.sh
source /etc/conf.d/splash
spl_daemon="/sbin/fbsplashd.static"
spl_fbcd="/sbin/fbcondecor_ctl"
spl_cachedir="/lib/splash/cache"
spl_fifo="${spl_cachedir}/.splash"
g2v_splash_start() {
g2v_splash_exit
# Prepare... | true |
d19fdd704c858d3a7e9075a2ffd590d076d3bfc8 | Shell | leogodin217/ubuntu-12.10-rails-setup | /setup.sh | UTF-8 | 1,062 | 2.703125 | 3 | [] | no_license | #!/bin/sh
apt-get update
apt-get upgrade -y
echo "Now install some basics"
apt-get install -y vim curl git subversion build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake lib... | true |
6b9f1a64e165825de3d593b8283fce8a7de87c38 | Shell | tomratcliffe/dotfiles | /macos.exclude.sh | UTF-8 | 3,567 | 2.9375 | 3 | [] | no_license | function setupMacOs() {
# Make Mac finder show hidden files
defaults write com.apple.finder AppleShowAllFiles YES
# Change default location for saving screenshots
mkdir -p ~/Documents/Screenshots
defaults write com.apple.screencapture location ~/Documents/Screenshots
# Trackpad: enable tap to ... | true |
c96130ff699ab0043a3cf82f8f8153c693b589a5 | Shell | rlucca/icescrum-cl | /scripts/story | UTF-8 | 1,260 | 3.625 | 4 | [] | no_license | #!/bin/bash
function usage()
{
echo -e "story"
echo -e "\t-l\tList the stories"
echo -e "\t-s <ID>\tShow the relevant data"
echo -e "\t-b <BID>\tList the stories of the backlog <BID>"
exit 0
}
icescrum login
while getopts ":ls:b:" command
do
case "${command}" in
l)
curl -s -b /tmp/cookie.jar -c /tmp/cook... | true |
6dab5d2f34c53b013ab990a9f1d84f5f45bdda6a | Shell | daslerjo/cp4d-deployment | /selfmanaged-openshift/upi/aws/scripts/delete-vpc-peering.sh | UTF-8 | 545 | 2.53125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#Install aws CLI
curl -O https://bootstrap.pypa.io/get-pip.py > /dev/null
python3 get-pip.py --user > /dev/null
export PATH="~/.local/bin:$PATH"
source ~/.bash_profile > /dev/null
pip install awscli --upgrade --user > /dev/null
VPC_PEERING_ID=`aws ec2 describe-vpc-peering-connections --filters "Name=tag:N... | true |
6ce1dc9e125648558d45ab086d2574d0f44c8453 | Shell | MacCampbell/MiFish | /mifish_runxx/scripts/J15_Fasta_from_All_samples.sh | UTF-8 | 417 | 2.96875 | 3 | [] | no_license | #!/bin/bash
#$ -S /bin/sh
IN_DIR01="../4_1_Allsamples_specieslist"
IN_DIR02="../3_2_BlastnRes_counts/parsedfiles"
OUT_DIR="../5_1_Fasta_from_All_samples"
SCRIPT="../../Parsers"
rm -rf $OUT_DIR
mkdir $OUT_DIR
for FNAME in $IN_DIR02/*blastn.deprep.list.txt
do
FILE=${FNAME##*/}
SAMPLE=${FILE%.blastn.deprep.list.txt}
... | true |
3f5ec1dd5c71cfe44c78e75d071186a7f89aa8cf | Shell | koseki/vagrant-layout | /sandbox/bin/provision.sh | UTF-8 | 1,139 | 3.53125 | 4 | [
"MIT"
] | permissive | #! /bin/sh
set -e
export PATH=/usr/local/bin:/usr/local/sbin:$PATH
VERSION_FILE=/root/.provisioning_version
if [ -f $VERSION_FILE ]; then
CURRENT_VERSION=`cat $VERSION_FILE`
else
CURRENT_VERSION='0'
fi
echo "current provisioning version: $CURRENT_VERSION"
VERSION=1
if [ $CURRENT_VERSION -lt $VERSION ]; then
... | true |
22ce805f182d43aceeca3a6cc2c0f4b7c3664f37 | Shell | DaoTranbk/GA-DAT | /scripts/parse | UTF-8 | 2,071 | 3.28125 | 3 | [] | no_license | #!/usr/bin/env bash
script_folder=$(dirname $0)
source ${script_folder}/naming
# prog="final-mixed-rand-init-sbx-2points-poly-2points-v2"
# out_dir_prefix="./mock/2-points-cr-mu/$prog-100000evals"
# prefix="lnoenu"
# target="melmax"
output_file="${out_dir_prefix}/${target}/avg_${prefix}_again${ext_output}"
INF=$((2... | true |
17922538708db1ae39a7c4b9b59fe084e6cf34d8 | Shell | hechuan13397/sk-linux-1.0 | /server-install.sh | UTF-8 | 677 | 3.046875 | 3 | [] | no_license | #!/bin/sh
LINARO_GCC=gcc-linaro-4.9-2016.02-x86_64_arm-linux-gnueabihf
if [ ! -d /opt/tools/$LINARO_GCC ];then
sudo tar -xvf tools/$LINARO_GCC.tar.xz -C /opt/tools/
fi
sudo cp -vf tools/gitbackup.sh /usr/sbin/
sudo apt-get install device-tree-compiler autopoint libtool cmake u-boot-tools \
lib32ncurses5 lib32z1... | true |
a3bfea55ee036bdb06e082213c8f387367efcbc5 | Shell | ORNL/siena-mem | /models/application/memdist/sweep_memdist.sh | UTF-8 | 1,836 | 2.859375 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
NUM_TXN=10000000
N=$(( NUM_TXN / 10 ))
NUM_MIL=$((NUM_TXN/1000000))
for NUM_THREADS in 1 2 4 8 16 32 64 128
do
for PER_HBM in 100 90 80 70 60 50 40 30 20 10 0
do
PER_DDR=$(( 100 - PER_HBM ))
R0=$(( PER_HBM / 10 ))
R1=$(( 10 - R0 ))
CONFIG="memdist"$NUM_MIL"M_HPM"$... | true |
b40879002124e8a9971fc62c5de8eff77c4b60ae | Shell | SchuhMichael/dCache-FaaS-Tutorial | /ow-kafka/run-ow-kafka.sh | UTF-8 | 1,293 | 2.671875 | 3 | [] | no_license | #!/bin/bash
docker build -t kafkafeedprovider .
WSK_IP=$LOCAL_ADDRESS
AUTHSYS=`cat $OPENWHISK_HOME/ansible/files/auth.whisk.system`
AUTH=`cat $OPENWHISK_HOME/ansible/files/auth.guest`
APIHOST=$WSK_IP
EDGEHOST=$WSK_IP
LOCAL_DEV=true
DB_PREFIX=whisk_local_
DB_USER=whisk_admin
DB_PASS=some_passw0rd
DB_URL=http://$WSK_I... | true |
0774c3fbb6b8136cc3b61955e1ab924a2dbb0a9f | Shell | sergiocazzolato/console-conf-tests | /scripts/bash/delete_extrauser | UTF-8 | 257 | 2.90625 | 3 | [] | no_license | #!/bin/bash
declare -a arr=("group" "gshadow" "passwd" "shadow" "subgid" "subuid")
sed -i '/^\s*$/d' /var/lib/extrausers/passwd
for i in "${arr[@]}"
do
sed -i.bak "/$1:/d" /var/lib/extrausers/$i
done
sudo sed -i '1s/^/\n/' /var/lib/extrausers/passwd
| true |
192515af8754daf8080b30f3d6e2ab1fdddddcec | Shell | n0b1t4/Recon | /test.sh | UTF-8 | 9,875 | 3.46875 | 3 | [] | no_license | #!/bin/bash
subdomainThreads=10
dirsearchThreads=50
dirsearchWordlist=~/tools/dirsearch/db/dicc.txt
massdnsWordlist=~/tools/SecLists/Discovery/DNS/clean-jhaddix-dns.txt
red=`tput setaf 1`
green=`tput setaf 2`
yellow=`tput setaf 3`
reset=`tput sgr0`
SECONDS=0
domain=
subreport=
usage() { echo -e "Usage: ./lazyrec... | true |
867366d106b1605ec5ccf5fe90a9ecc53e35f189 | Shell | praveenmadupu/SQLDBA | /Trial_Azure_CLI/Trial_Azure_CLI/InstallAzureCLI.sh | UTF-8 | 656 | 2.765625 | 3 | [] | no_license | #!/bin/bash
<#
Install Azure CLI 2.0
https://docs.microsoft.com/en-us/cli/azure/install-azure-cli?view=azure-cli-latest
#>
# Install WSL first (bash)
# on Bash shell
# Modify sources list
echo "deb [arch=amd64] https://packages.microsoft.com/repos/azure-cli/ wheezy main" | \
sudo tee /etc/apt/sources.list.d/a... | true |
4cd16945d97e49e4c91f1ffd0318ab1b39573cd4 | Shell | silvenga-docker/observium | /files/loop.sh | UTF-8 | 834 | 3.109375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
INIT_SECONDS=0
case "${CRON}" in
"complete-discovery")
SLEEP_SECONDS=21600
COMMAND="/opt/observium/discovery.php -h all"
;;
"automated-discovery")
SLEEP_SECONDS=300
COMMAND="/opt/observium/discovery.php -h new"
;;
"poller")
... | true |
ecba6af77c757f1b47209406a7cd7f3d42a23115 | Shell | Mozilla-GitHub-Standards/6abe1baeabeb972005cdd64ae7934538984a80b307e6b7465a14549d068bed5f | /update-json.sh | UTF-8 | 2,569 | 3.453125 | 3 | [] | no_license | #!/bin/bash
# This Source Code Form is subject to the terms of the Mozilla Public License,
# v. 2.0. If a copy of the MPL was not distributed with this file, You can
# obtain one at http://mozilla.org/MPL/2.0/.
set -eufo pipefail
# The easiest way to determine the exact stable Chromium version, at least as
# far as ... | true |
c439a79734778c69573102e8fe553f1b93805e83 | Shell | the-guitarman/brunch_finden | /script/server-install/scripts/mysql_dump_brunch_finden.sh | UTF-8 | 494 | 3.40625 | 3 | [] | no_license | #!/bin/bash
#DATETIME=`date +%Y%m%d%H%M%S`
FILE="$HOME/db_dumps/brunch_finden.sql"
if [ -e "$FILE.bz2" ]; then
rm "$FILE.bz2"
# echo "$FILE.bz2 wurde geloescht."
else
echo "$FILE.bz2 wurde nicht gefunden und konnte nicht geloescht werden."
fi
/usr/bin/mysqldump -u brunchfindensql --password='br4nch_f1nden_sql' ... | true |
783b264fe8e95cd3786b2132da5b5342f2eb6c8c | Shell | just4jc/aws-greengrass-samples | /ml-at-edge-examples/pre-built-libraries/TensorFlow/v1.4.0/greengrass_ML@Edge_TF_v1_4_0_installer_cp27_raspi3_armv7/tf_installer.sh | UTF-8 | 3,003 | 3.265625 | 3 | [
"Apache-2.0",
"MIT-0",
"LicenseRef-scancode-proprietary-license"
] | permissive | #!/bin/bash
sudo rm -rf tmp/
sudo rm -rf tests/
sudo apt-get update
sudo apt-get -y upgrade
set +e
sudo apt-get install -y python-numpy
sudo apt-get install -y liblapack3 || (echo "Failed to install liblapack3. Exiting..." && exit)
sudo apt-get install -y libopenblas-dev || (echo "Failed to install libopenblas. Ex... | true |
a80a37fa63e3de26a947c8e905f492ad30e682e9 | Shell | francopestilli/app-midpreproc | /main.sh | UTF-8 | 1,635 | 2.625 | 3 | [] | no_license | #! /bin/bash
# This is the base preprocessing script to preprocess fmri data
############## User Params #############
sub='NDARINVB72KCUK5'
fname='abcdmid'
cp $sub'_t1.nii' anat.nii
cp $sub'_midfmri.nii' $fname'.nii'
### rename anatomical scan ###
3dcopy anat.nii.gz anat
#tlrc
@auto_tlrc -warp_orig_vol -suffix NO... | true |
0ef70fe41a53a4f852e244a30da42401bd30fb5c | Shell | GreyCat/musicbrainz-cli | /mbrainz | UTF-8 | 3,591 | 3.578125 | 4 | [] | no_license | #!/bin/sh -e
VERSION=0.1
: ${MBHOST:=test.musicbrainz.org}
: ${USER_AGENT:="MusicBrainzCLI/$VERSION"}
show_usage()
{
cat <<__EOF__
Usage: ${0##*/} [options] <command>
Options:
Commands:
- login
- relate <entity-type1> <entity-id1> <entity-type2> <entity-id2> <ar-type>
__EOF__
exit 1
}
show_version()
{
echo "Mus... | true |
bd5a98ad5894f481bcf475717cdf778a45d11991 | Shell | merky/nnac_scripts | /overlap | UTF-8 | 355 | 3.171875 | 3 | [] | no_license | #!/bin/bash
INPUT1=$1
INPUT2=$2
THRESH=$3
OUTPUT=$4
if [ $# -lt 4 ]; then
echo "overlap <input1> <input2> <thresh> <output> "; exit 0;
fi
tmp1="$(mktemp --suffix .nii.gz)"
tmp2="$(mktemp --suffix .nii.gz)"
mri_binarize --i $INPUT1 --min $THRESH --o $tmp1
mri_binarize --i $INPUT2 --min $THRESH --o $tmp2
fscalc ... | true |
4ef1087dac66f0f90592063a5a416cca3147e80a | Shell | Livingwind/CS455-DistributedSystems-A1 | /send_messengers.sh | UTF-8 | 174 | 2.5625 | 3 | [] | no_license | test_home=${PWD}
for i in `cat machine_list`
do
echo 'logging into '${i}
gnome-terminal -x bash -c "ssh -t ${i} 'cd ${test_home};
./start_messaging.sh $1 9000;bash;'" &
done
| true |
5ea73d434f3d9eb3d2403d2891f842eaebf31100 | Shell | rykn0wxx/dotfiles | /.bash_profile | UTF-8 | 2,260 | 3.015625 | 3 | [] | no_license | # If not running interactively, don't do anything
case $- in
*i*) ;;
*) return;;
esac
export PATH=~/.local/bin:/snap/bin:/usr/sandbox/:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/usr/share/games:/usr/local/sbin:/usr/sbin:/sbin:$PATH;
# Add `~/bin` to the `$PATH`
export PATH="$HOME/bin:$PATH";
... | true |
801820d8591c9ca4db662e5d5c8d3308dfb7f059 | Shell | benkeser/slapnap | /_deploy.sh | UTF-8 | 461 | 2.875 | 3 | [
"MIT"
] | permissive | #! /bin/bash
# configure your name and email if you have not done so
git config --global user.email "benkeser@emory.edu"
git config --global user.name "David Benkeser"
# clone the repository to the book-output directory
echo $TRAVIS_REPO_SLUG
git clone -b gh-pages \
https://${GITHUB_PAT}@github.com/${TRAVIS_REPO_SL... | true |
541c4bc0828f6bd2800500e470c8de3bec445431 | Shell | viasite/drupal-scripts | /commands/drupal-vget | UTF-8 | 853 | 3.890625 | 4 | [] | no_license | #!/bin/bash
# 23.02.2015
# v0.2
# removed drush for speedup
# old version 0.1
#val=$(drush vget "$1" --exact 2>&1 | grep "^$1: " | cut -d':' -f2 | tr -d ' ' | sed "s/'//g" | grep -v ERROR)
#if [ -z "$val" ]; then val=0; fi
#echo $val
SCRIPT_HELP="
Show Drupal variable.
Same as drush vget, but faster.
Usage:
{... | true |
dc0e8cbdf222d3e36d3e77a6ef737e99551a11e4 | Shell | marcoab/liferay-faster-deploy | /patcher/patcher | UTF-8 | 2,977 | 3.734375 | 4 | [] | no_license | #!/bin/bash
checkcommonerrors() {
local PATCHER_JSON=$(dirname "${BASH_SOURCE[0]}")/patcher.json
local BASELINE_ID=$(cat $PATCHER_JSON | jq '.["'$BASE_TAG'"]')
if [ "" == "$BASELINE_ID" ]; then
echo $BASE_TAG does not correspond to a known patcher portal baseline
return 1
fi
for TAG in $(cat $PATCHER_JSON |... | true |
eab45fffa8ba91d285a78cc53e2321cfa9c17635 | Shell | kristapsk/gentoo-install | /gentoo-install.sh | UTF-8 | 8,134 | 3.703125 | 4 | [] | no_license | #! /bin/bash
CONFIG_FILE="inc.config.sh"
if [ "`whoami`" != "root" ]; then
echo Must be run as root!
exit 1
fi
if ! grep -qs /mnt/gentoo /proc/mounts; then
echo "Target /mnt/gentoo not mounted!"
exit 1
fi
no_gpg_validation=""
if [ "$1" == "--no-gpg-validation" ]; then
no_gpg_validation="1"
... | true |
37ccf13ea2886f7dcff48e6205954abb808c7399 | Shell | afolarin/chip_gt | /protocols_and_QC/exome_chip_QC/exome.qc.pipeline.v03.sh | UTF-8 | 4,331 | 2.8125 | 3 | [] | no_license | #!/bin/sh
#$ -S /bin/sh
#$ -N exome.qc.pipeline.v03.sh
#$ -l h_vmem=10G
#$ -q long.q,short.q
#$ -p -0.99
#$ -pe multi_thread 1
#$ -j yes
#$ -cwd
#$ -V
############################
pedfile=${1} #input file
bedfile=${2} #output name
## 1 GenomeStudio PLINK ped file to PLINK Binary
echo "- convert ped to bed -"
plink --... | true |
d4b928ca4b9e7517a42be986d1e07775e0c98726 | Shell | BrianHGrant/docker-tiger-geocoder | /2make-geocoder-download-scripts.sh | UTF-8 | 464 | 2.609375 | 3 | [] | no_license | #! /bin/bash
# execute script builder
psql -d geocoder -f /sql/make-tiger-scripts1.psql
chmod +x /gisdata/*.sh
/gisdata/nation.sh
psql -d geocoder -f /sql/make-tiger-scripts2.psql
chmod +x /gisdata/*.sh
/gisdata/oregon.sh
# edit the scripts
for i in '/gisdata/nation.sh' '/gisdata/oregon.sh'
do
sed -i 's;export PGBI... | true |
e648c8eca6479a8e23108692d27e830202ac09c4 | Shell | roncterry/lab_env_tools | /scripts/umount-rescue.sh | UTF-8 | 2,532 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# version: 1.0.1
# date: 2019-03-07
##############################################################################
# Global Variables
##############################################################################
### Colors ###
RED='\e[0;31m'
LTRED='\e[1;31m'
BLUE='\e[0;34m'
LTBL... | true |
13d457ed71b0da1a609f6a3eeb1b1aa6cc41bc44 | Shell | shyouhei/dotfiles | /install.zsh | UTF-8 | 1,311 | 3.546875 | 4 | [
"MIT"
] | permissive | #! /bin/zsh
function check {
local target=$1
if [[ -x $target ]]; then
echo "$target exists; bailing out"
exit 1
fi
}
function link {
if [[ $1 == $2 ]]; then
return # skip
elif [[ ! -e $2 ]]; then
ln -sf $@
elif [[ -L $2 ]]; then
ln -sf $@ # silent overw... | true |
0178b247b95d0d36594ad3eafb1ce5417e515060 | Shell | zhi666/linux | /linux1/5.2脚本实例/1_day/5_PPP2.sh | UTF-8 | 448 | 2.953125 | 3 | [] | no_license | #!/bin/bash
# 1. 值为hello world hello uplooking hello YW201811
# 2. name中, 从第3个字符截取16个字符
# 3. name中, 从第7个字符截取到倒数第3个字符
# 4. name中, 从右边第12个字符开始, 截取到最后
# 5. name中, 从右边第12个字符开始, 截取到倒数第3个字符
name="hello world hello uplooking hello YW201811"
echo ${name:2:16}
echo ${name:6:-2}
echo ${name:0-12}
echo ${name:0-12:-2}
| true |
256fe33b038999bdd3625033cff3d584dfb75187 | Shell | ryanbekabe/Shy | /shy/templates/shy_decrypt.j2 | UTF-8 | 1,509 | 3.65625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
SSL_COM="openssl"
################ CHECKS ###############################
# Get the OS version
get_os() {
if [[$(uname -s | grep Linux) != ""]]; then
OS="linux"
elif [[ $( uname -s | grep BSD) != "" ]]; then
OS="bsd"
else
echo "[!] NOT \"Linux\" or \"BSD\""
exit
fi
}
OPENSSL="sh"
check_re... | true |
391db23a263d4d46e23da5b42abfa51e196865a7 | Shell | stweiss01/ecg | /final/watchdog.sh | UTF-8 | 1,646 | 3.984375 | 4 | [] | no_license | #!/bin/bash
WATCHDOG_FILE=/home/pi/ecg1/watchdog.list
THISSCRIPT=$(readlink -f $0)
echo "Watchdog"
echo "================================="
echo "To install, edit 'sudo nano /etc/crontab' and add '* * * * * root $THISSCRIPT <arguments>'"
echo ""
echo "Arguments:"
echo "$THISSCRIPT <-file=listfile> <-display>"
echo ""... | true |
13dc59b10cb659f931b58a01cca819995af4c40e | Shell | bal-code-camp-rest-oidc/oidc-application-client | /docker-compose-setup/mysql/clean-instance-data.sh | UTF-8 | 218 | 3.234375 | 3 | [] | no_license | #!/bin/sh
cd "$(dirname "$0")"
echo `pwd`
files=$(shopt -s nullglob dotglob; echo ./data/*)
if (( ${#files} ))
then
echo Deleting MySQL data files ...
rm -r ./data/*
fi
echo Wiped off MySQL data! | true |
99a7cba4944f81075765b425ac191885ccab2ff8 | Shell | noelmartinon/debian-server-tools | /webserver/laravel/quick-log.sh | UTF-8 | 165 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# Display first Laravel log lines.
#
cd /home/USER/website/code/storage/logs/ || exit 10
grep -A 1 '^\[[0-9]\{4\}' "laravel-$(date "+%Y-%m-%d").log"
| true |
90eacd3a8a2533c9cdc31dc0b3c079cf5e89056f | Shell | xjbych1224/bash_aws_scan_resources | /delete_s3_resource.sh | UTF-8 | 1,784 | 3.875 | 4 | [] | no_license | #!/usr/bin/env bash
#
# ---------------------
start_time="$(date +%s%N)"
#param as second
function displaytime {
local T=$1
local D=$((T/60/60/24))
local H=$((T/60/60%24))
local M=$((T/60%60))
local S=$((T%60))
(( $D > 0 )) && printf '%d days ' $D
(( $H > 0 )) && printf '%d hours ' $H
(( $M > 0 )) &&... | true |
b902cdb9b63472c117989f5b6a21bacd324eef42 | Shell | kavisek/docker-scripts | /dimages.sh | UTF-8 | 266 | 3.109375 | 3 | [
"MIT"
] | permissive | # Remove all Images
ids=$(docker images | grep -v "docker\|k8s.gcr.io\|REPOSITORY" | awk '{print $3}')
for id in $ids
do
echo "removing image: $id"
docker rmi $id
done
# Docker prune all dangling images
docker image prune -a -f
echo "docker images destroyed."
| true |
9d9d2defdddf84a1998b003688b18bad5d424094 | Shell | VladVons/sh-conf | /pkg/service/ssh/service.sh | UTF-8 | 314 | 2.859375 | 3 | [] | no_license | #!/bin/bash
source ./const.sh
source $DIR_ADMIN/conf/script/service.sh
Info()
# ------------------------
{
Log "$0->$FUNCNAME"
MultiCall ManPrint "$Man"
}
# ------------------------
clear
case $1 in
Exec|e) Exec $2 ;;
Init) $1 $2 ;;
Install) $1 $2 ;;
Info) $1 $2 ;;
*) Test ;;
esac
| true |
c4d86aa026f9544e0a4341dacc27a91a96499adc | Shell | Elephantseed/whalephant | /templates/bin/ephimerald-ci/build.sh | UTF-8 | 1,742 | 3.6875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#this is for exiting the sh when a non-zero code is returned by any operation
set -e
#SOURCE_PATH=/source/$GIT_PROJECT_NAME
#BUILD_PATH=$HOME/build
#DESTINATION=node_modules #in case of a java project this would be the war file
#NODE_VERSION=0.12.2
#NVM_DIR=/usr/local/nvm
#echo "BUILD_PATH " $BUIL... | true |
0f24077af848821383516e6f48a0f318aabc3221 | Shell | definite/my-sys-cfg | /bin/msc-router-mac | UTF-8 | 426 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -eu
MSC_LOG_PREFIX="[msc-router-mac]"
## Setup my-cfg-sys environment
eval "$($(dirname $(realpath ${BASH_SOURCE[0]}))/msc-env-find -f)"
trap msc_exit_print_error EXIT
RouterIp=$($MSC_BIN_DIR/msc-router-ip)
if [ -z "${RouterIp}" ]; then
MscExitMsg="No dev found that connect to router."
exit $MSC_E... | true |
d2a62c298125b497b5fb1d3443a621a18f4eee44 | Shell | dahenson/dash | /bin/bootstrap | UTF-8 | 2,791 | 4.15625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# We need at least ansible 2.0 for blockinfile directive
ANSIBLE_NEEDED="2.6"
# Returns 1 if upgrade is needed
# $1 - SYSTEM VERSION
# $2 - NEEDED VERSION
update_needed () {
if [[ $1 == $2 ]]
then
return 0
fi
local IFS=.
local i ver1=($1) ver2=($2)
# fill empty fields in ver1 with ... | true |
941b6f1e0641b1ac1af671b706ff5550b5219ca5 | Shell | PennBBL/hiLo | /scripts/05_BrainRankFigure/scripts/factorParcellImage.sh | UTF-8 | 1,303 | 3.453125 | 3 | [] | no_license | #!/bin/bash
# This script will be used to produce the FA segmentation from stathis' segmentation factor loadings
# Declare any statics here
baseDataDir="/home/arosen/hiLo/data/05_BrainRankFigure/factorLabels/"
vals=(volume ct reho alff cbf)
scriptVal="/data/joy/BBL/applications/xcpEngine/utils/val2mask.R"
parcMask=... | true |
4af5d8d204f0cf572b02031b7260523a7c5ce1a5 | Shell | XRSHEERAN/AppVeyor_Sign | /SecureFileTest.bash | UTF-8 | 5,959 | 2.8125 | 3 | [] | no_license | /*Author: Xianrun Sheeran QU
Description: Use Nuget with windows prompt, to secure store files pass to AppVeyor
Usage: signing*/
Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. All rights reserved.
C:\Users\srsheeran>cd Downloads
C:\Users\srsheeran\Downloads>nuget
NuGet Version: 4.4.1.... | true |
1fb6d1d463dddf199733495cfc97b8e2bf6e62f1 | Shell | joyxu/studycode | /mozilla/xenlogin/xenlogin | UTF-8 | 316 | 3.515625 | 4 | [] | no_license | #!/bin/bash
CONF_FILE="/etc/xen-server-address.conf"
ADDR=""
TARGET_DIR="/usr/share/xenlogin"
if [ $# -eq 1 ]; then
ADDR=$1
else
if [ -e $CONF_FILE ]; then
ADDR=`cat $CONF_FILE`
fi
fi
if [ $ADDR == "" ]; then
echo "Can not find server address."
exit 1;
fi
xulrunner "$TARGET_DIR/application.ini" "$ADDR"
| true |
1848057c048c217c2d555beaf9228aad00083a34 | Shell | FreakyPenguin/static-distro | /packages/sbase/0.0.20161118/build.sh | UTF-8 | 587 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -e
cd ${PKG_NAME}-*/
case $PKG_VERSION in
*stage1)
make $MAKE_JOBS all install PREFIX="${PKG_DIR}" MANPREFIX="${PKG_DIR}/man" \
CC=${ARCH_TARGET}-gcc AR=${ARCH_TARGET}-ar RALIB=${ARCH_TARGET}-ranlib \
LDFLAGS="-s -static" DESTDIR="${PKG_INSTDIR}"
;;
*)
... | true |
90ed61ad78f756f095eb00a23db89f9f02290f6f | Shell | devoncarew/canary | /.github/install-dart.sh | UTF-8 | 334 | 2.78125 | 3 | [] | no_license | #!/bin/bash
# Fast fail the script on failures.
set -ex
echo Installing Dart ${DART_VERSION}
curl --connect-timeout 15 --retry 5 \
https://storage.googleapis.com/dart-archive/channels/${DART_VERSION}/sdk/dartsdk-linux-x64-release.zip > dartsdk.zip
unzip dartsdk.zip -d . > /dev/null
rm dartsdk.zip
./dart-sdk/bin/d... | true |
13da2522755209295b1c16e58619094ea6c833e8 | Shell | emkor/reolink-gmail-archival | /download.sh | UTF-8 | 189 | 2.578125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
OUT_DIR=$1
echo "Starting gmail-dl..."
source ~/cam/reolink-gmail-archival/creds.sh
gmail-dl ${OUT_DIR} --days 2 --log ~/cam/log/gmail-dl.log --rm
echo "Done!" | true |
c077b679d875230d78c746cec942cda39455be43 | Shell | msys2/MINGW-packages | /mingw-w64-parsec/PKGBUILD | UTF-8 | 2,269 | 3.0625 | 3 | [
"BSD-3-Clause"
] | permissive | # Maintainer: Rafal Brzegowy <rafal.brzegowy@yahoo.com>
_realname=parsec
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=3.0.2209
pkgrel=1
pkgdesc='PaRSEC: Parallel Runtime Scheduling and Execution Controller (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'cla... | true |
284791705c24cf6abeec4f5a972dcf296d70c139 | Shell | noamyehudai/bash-exercise | /exr14.sh | UTF-8 | 67 | 2.609375 | 3 | [] | no_license | #!/bin/bash
for file in *.jpg;do
mv $file "`date +%F`-$file"
done
| true |
e8dc089c5582fd8ffae7392e8ad86870b9bb9796 | Shell | smalik0/CPE-357-Scripts | /submit | UTF-8 | 1,192 | 3.421875 | 3 | [] | no_license | #!/bin/bash
if [[ $# == 0 ]]; then
echo "Usage: "
echo " $0 <ASGN_NAME>"
echo
echo "<ASGN_NAME> can be in any of the following formats:"
echo " # Ex. $0 1 (calls Exercise1)"
echo " P# Ex. $0 P1 (calls Project1)"
echo " Exercise# Ex. $0 Exercise1"
echo " ... | true |
9d2f646433c90858524fc63c187c8ac78da9bfc9 | Shell | hartmaier/utils | /mutect_context.sh | UTF-8 | 4,877 | 3.8125 | 4 | [] | no_license | #!/bin/sh
# mutect_context.sh
#
#
# Created by Hartmaier, Ryan on 10/7/14.
#
usage () {
echo "
USAGE: $0
This program will take mutect output directly as input and filter by various parameters. It will output a filtered mutect file remaining in mutect format (*.filtered) and converted to BED (*.filtered.bed). I... | true |
bc01a2ef1d35caf3919ee8a6a92b7bd14a51db2c | Shell | 3xcelzior/ArchLinuxRicing | /LemonBar/panel | UTF-8 | 1,925 | 3.171875 | 3 | [] | no_license | #! /bin/sh
if xdo id -a "$PANEL_WM_NAME" > /dev/null ; then
printf "%s\n" "The panel is already running." >&2
exit 1
fi
trap 'trap - TERM; kill 0' INT TERM QUIT EXIT
[ -e "$PANEL_FIFO" ] && rm "$PANEL_FIFO"
mkfifo "$PANEL_FIFO"
bspc config top_padding $PANEL_HEIGHT
bspc subscribe report > "$PANEL_FIFO" &
xtitle -... | true |
9a0d3708521ae315a32520de90286594b7fa040f | Shell | mikequentel/aws_create-bucket | /generate.sh | UTF-8 | 176 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
NAME=$1
if [ -z "${NAME}" ]; then
echo "Include name for s3 bucket."
exit 1
fi
aws s3api create-bucket --bucket ${NAME}
aws s3api list-buckets | grep ${NAME}
| true |
09205cbd533edd9e952341f8fd4320b517266f7d | Shell | tomwhite/eggo | /bin/download_upload.sh | UTF-8 | 1,427 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #! /usr/bin/env bash
# Licensed to Big Data Genomics (BDG) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The BDG licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you m... | true |
469ed89558d4bb273970c468437e5510ca72e009 | Shell | tlops/myJob | /labb7/browser.sh | UTF-8 | 580 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# This Scripts helps user to select a browser to use!
#
# Falade Olumuyiwa LX13
# Labboration 7 uppgift 1
dialog --menu "Choose your Browser" 10 60 3 1 "firefox" 2 "chrome" 3 "Internet explorer" 2>/tmp/browser
Browse=`cat /tmp/browser` # stores the option in Browse
case $Browse in
1) firefox ;;
2) ... | true |
aee46e1bab12c415b43eee3ef236172740d03755 | Shell | khronokernel/Mini-Monterey-Patcher | /Scripts/NeededPatches.sh | UTF-8 | 1,105 | 3.6875 | 4 | [] | no_license | #!/bin/bash
#
# NeededPatches.sh
# Mini Monterey
#
# Created by Ben Sova on 5/15/21
#
exitIfUnknown() {
if [[ "$1" == "--rerun" ]]; then
echo "Failed to find Needed Patches, this Mac probably doesn't support the patcher (or just doesn't need it)." 1>&2
exit 1
fi
}
if [ -z "$PATCHMODE" ]
th... | true |
384cf4cbfb5993e2f3bb21b580d37f5820b0c2a5 | Shell | T-vK/MobilePassThrough | /scripts/utils/common/setup/looking-glass-setup | UTF-8 | 3,695 | 3.4375 | 3 | [] | no_license | #!/usr/bin/env bash
while [[ "$PROJECT_DIR" != */MobilePassThrough ]]; do PROJECT_DIR="$(readlink -f "$(dirname "${PROJECT_DIR:-0}")")"; done
source "$PROJECT_DIR/scripts/utils/common/libs/helpers"
loadConfig
LOOKING_GLASS_VERSION="B4"
cd "${THIRDPARTY_DIR}"
if [ ! -f "./LookingGlass" ]; then
# Get the source cod... | true |
420ea926ce0218f8b4ac38372dd8dbabdaff7701 | Shell | visq/language-c | /test/bin/setup_test_suite | UTF-8 | 545 | 3.59375 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# Setup test suite (clear and set)
# Arguments:
# $1 .. the name of the test suite
# Environment:
# CTEST_BINDIR ... the directory containing the test executables (including this file)
# CTEST_RESULTDIR ... the directory to write report files and logs
if [ ! -e $CTEST_BINDIR/setup ]; then echo "Missing ... | true |
1f55566a1b6e6d1d53250c507c0a435524762acd | Shell | gearhead/php-dbus | /PKGBUILD | UTF-8 | 854 | 2.8125 | 3 | [] | no_license | # Maintainer: KeithSPG <ys3al35l@gmail.com>
extname=dbus
pkgname="php-$extname"
_pkgname="pecl-dbus"
pkgver=0.r85.315d175
pkgrel=1
pkgdesc='PHP PECL extension providing interface to dbus'
arch=('x86_64' 'armv6h' 'armv7h' 'aarch64')
url="https://github.com/derickr/pecl-dbus.git"
license=('PHP')
depends=('php>=7.0','lib... | true |
71e3c9a26d4148fdf1a2ffae93f6ccdf69c44670 | Shell | ramseydsilva/postgres-streaming-utils | /configure_slave.sh | UTF-8 | 1,878 | 3.796875 | 4 | [] | no_license | #!/bin/bash
# Requires wal archiving, base backup and wal archiving to be completed
. ./utils.sh
verify_postgres_user
if [ "$1" != "" ]; then
master_ip="$1"
else
read_value master_ip "Master IP"
fi
echo "Stop postgres"
/etc/init.d/postgresql stop
exit_if_failed "Unable to shutdown postgres."
echo "Set wal... | true |
b9853a4372101c66859c3f402982843e55104d6c | Shell | wangxiaomo/vps | /tools/vps.sh | UTF-8 | 3,273 | 3.609375 | 4 | [] | no_license | #!/bin/bash
XENHOME=/vps
XENSWAP=/swp
XENCONF=/etc/xen
XENLOG=/var/log/xen
XENTOOLLOG=/var/log/xen-tools
NAME=$1
VCPU=$2
VRAM=$3
SWAP=$4
DISK=$5
OS=$6
ADDRESS=$7
GATEWAY=$8
NETMASK=$9
genXenMac() {
S="00:16:3e:"
E=`(date; cat /proc/interrupts) | md5sum | sed -r 's/^(.{6}).*$/\1/; s/([0-9a-f]{2})/\1:/g; s/:$/... | true |
3c5f2771c8781de4eb55fd5bfd072b93740fb670 | Shell | nathancy/flir_lepton_sensor | /scripts/tools/image_viewer.sh | UTF-8 | 167 | 2.703125 | 3 | [] | no_license | # Script to open up latest thermal image photo
TOTAL_FILES=$(ls | wc -l)
IMAGE_ID=`expr $TOTAL_FILES - 3`
EXTENTION=".png"
IMAGE=$IMAGE_ID$EXTENTION
links2 -g $IMAGE
| true |
0e162b6e9c22595118af2c667160009063b0acb0 | Shell | jasisk/githooks | /pre-commit-test-and-coverage-runner.sh | UTF-8 | 1,705 | 3.640625 | 4 | [] | no_license | #!/usr/bin/env sh
# Small script to parse json
read -d '' TESTS_SCRIPT <<"EOF"
var testObject;
process.stdin.resume();
process.stdin
.on('data', function (chunk) {
testObject = JSON.parse(chunk);
})
.on('end', function () {
if (testObject.stats) {
var color = '\\033[31m',
endColor = '\\0... | true |
d37f4676b84f5ace766f4c36ec75ce377f68a6bc | Shell | sveitser/pkgbuilds | /libjson-headers/PKGBUILD | UTF-8 | 1,498 | 2.65625 | 3 | [] | no_license | # Maintainer: Mathis Antony <sveitser@gmail.com>
pkgname=libjson-headers
pkgver=7.6.1
pkgrel=1
epoch=
pkgdesc="A JSON reader and writer which is super-effiecient and usually runs
circles around other JSON libraries."
arch=('i686' 'x86_64')
url="http://sourceforge.net/projects/libjson"
license=('custom')
groups=()
depen... | true |
d733828f796ab7572b19bb87ed5356feed9f0a01 | Shell | chamilton614/installcentos | /create_volumes.sh | UTF-8 | 569 | 3.296875 | 3 | [] | no_license | #!/bin/bash
export SCRIPT_REPO=${SCRIPT_REPO:="https://raw.githubusercontent.com/chamilton614/installcentos/master"}
curl -o vol.yaml $SCRIPT_REPO/vol.yaml
for i in `seq 1 200`;
do
DIRNAME="vol$i"
mkdir -p /mnt/data/$DIRNAME
chcon -Rt svirt_sandbox_file_t /mnt/data/$DIRNAME
chmod 777 /... | true |
c8a8763c35a0780508f92ad5046cdab38c205b71 | Shell | leamsi/slackbuilds | /maxima.SlackBuild~ | UTF-8 | 8,008 | 3.40625 | 3 | [] | no_license | #! /bin/bash
#BUILD SCRIPT FOR maxima (TESTED WITH VERSION(S) 5.9.3,5.11.0)
# maxima can be obtained at http://maxima.sourceforge.net
CWD=$(pwd)
APPNAME=maxima
VERSION=5.14.0
ARCH=i486
CPU=i686
BUILD=1icv
if [ "$TMP" = "" ]; then
TMP=/tmp
fi
#This means that "make install" auto copies the doc files (README, INSTALL,... | true |
49e8890c3129565ce60a7cfda3e5fa6bcc5a40e2 | Shell | refactoring-ai/Data-Collection | /log-analyzer.sh | UTF-8 | 6,279 | 3.6875 | 4 | [
"MIT"
] | permissive | #! /bin/bash
infoFile="logs/data-collection_[a-zA-Z0-9_-]*_INFO.log*"
debugFile="logs/data-collection_[a-zA-Z0-9_-]*_DEBUG.log*"
errorFile="logs/data-collection_[a-zA-Z0-9_-]*_ERROR.log*"
terminalFile="logs/docker-terminal.log"
outFile="logs/run_statistics.md"
outFileProjects="logs/project_statistics.md"
#Individual p... | true |
345ff4c580debf0682301beff6ea191c84a6bf83 | Shell | thibmaek/homeassistant-conf | /esphome/test_utils/run_tests.sh | UTF-8 | 491 | 3.796875 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
shopt -s globstar nullglob
info() {
printf "\033[34m%s\033[0m\n" "$1"
printf "\n"
}
function setup_mock_env() {
mv "$(dirname "$0")/./secrets.mock.yaml" "$(dirname "$0")/../common/secrets.yaml"
}
function compile_all() {
ESPHOME_CONFIGS=( devices/**/*.yaml )
for config in "${ESP... | true |
6480af82c0f973b6e7a444d2a541bb7770004a9b | Shell | ben-en/archinstall-scripts | /archlinux_2015_12_01/archinstall.sh | UTF-8 | 1,306 | 2.953125 | 3 | [] | no_license | #!/bin/bash
# from live rescue, single user mode...
# Partition the disk
echo -e 'o\nn\np\n1\n\n\nw' | fdisk -u /dev/xvda
mkfs.ext4 /dev/xvda1
mount /dev/xvda1 /mnt
# Copy scripts into place
mkdir /mnt/opt/
mkdir /mnt/opt/install
mkdir /mnt/opt/install/root.x86_64
mkdir /mnt/opt/install/root.x86_64/opt/
cp archinst... | true |
bd1eb16cdfc4bfc03349cc64fcecd36ad03fea24 | Shell | wdicarlo/wdc-do-commands | /artifactory/do-artifactory | UTF-8 | 2,025 | 4 | 4 | [] | no_license | #!/usr/bin/env bash
cmd=`basename $0`
function usage() {
echo "Usage: $cmd [-h] [-l] [-i] [-s] [-q] [-n] <repo|folfer|file|search_item>"
echo "where:"
echo " -l : get list of files"
echo " -i : get folder/file info"
echo " -s ... | true |
ee2e45951d321eca19ddcf8f3c6d55af06fad98a | Shell | bigfishfastswimer/K8s_Setup | /debian/install_common.sh | UTF-8 | 991 | 2.921875 | 3 | [] | no_license | #!/bin/bash -xe
# add docker registry
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
#Add the Docker repository:
sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
$(lsb_release -cs) \
stable"
# Get the Kubernetes gpg key:
curl -s https://pack... | true |
95df24dc7e6cbb77793300cebf68ae71f368cd91 | Shell | rachellaub/Exam1 | /rachelLaub_exam1_p2.sh | UTF-8 | 1,581 | 3.4375 | 3 | [] | no_license | #!/bin/bash -
#===============================================================================
#
# FILE: rachelLaub_exam1_p2.sh
#
# USAGE: ./rachelLaub_exam1_p2.sh
#
# DESCRIPTION: Bash 3
#
# OPTIONS: ---
# REQUIREMENTS: ---
# BUGS: ---
# NOTES: ---
# AUTHOR: Rachel La... | true |
b41dac9eba2d24d0f4511a2af2e372097a7ec8c3 | Shell | wgnet/wds_qt | /qtbase/config.tests/x11/notype.test | UTF-8 | 1,464 | 3.75 | 4 | [
"LicenseRef-scancode-proprietary-license",
"LicenseRef-scancode-unknown-license-reference",
"LicenseRef-scancode-commercial-license",
"LGPL-2.0-or-later",
"LGPL-2.1-only",
"GFDL-1.3-only",
"LicenseRef-scancode-qt-commercial-1.1",
"LGPL-3.0-only",
"LicenseRef-scancode-qt-company-exception-lgpl-2.1",
... | permissive | #!/bin/sh
QMKSPEC=$1
XPLATFORM=`basename $1`
VERBOSE=$2
SRCDIR=$3
OUTDIR=$4
# debuggery
[ "$VERBOSE" = "yes" ] && echo "Detecting broken X11 headers... ($*)"
# Detect broken X11 headers when using GCC 2.95 or later
# Xsun on Solaris 2.5.1:
# Patches are available for Solaris 2.6, 7, and 8 but
# not for Solar... | true |
208f32eebdcacf7ed4f6cbde2eb86fe50e383f9a | Shell | DanKing-dev/rticonnextdds-usecases | /VideoData/ExampleCode/scripts/VideoSubscriber.sh | UTF-8 | 740 | 3.953125 | 4 | [] | no_license | #!/bin/sh
filename=$0
arch=$1
script_dir=`dirname $filename`
executable_name="VideoSubscriber"
if [ -z "$arch" ]
then
echo "Architecture not set. Please specify arcitecture e.g. x64Linux3gcc5.4.0, x64Linux4gcc7.3.0"
exit
fi
bin_dir=${script_dir}/../objs/${arch}/VideoSubscriber
if [ -f $bin_dir/$executable_n... | true |
90b65ec2a03b4d7ba0ec2e633d682e9d3bc98ca0 | Shell | adrianogil/UnityBuildScripts | /tools/run_and_install.sh | UTF-8 | 591 | 3.265625 | 3 | [
"MIT"
] | permissive | current_commit=''
# Verify if the commit was passed as argument
if [ $# -eq 0 ]
then
# if didn't received a commit, let's get the current commit
current_commit=$(git log --pretty=format:'%h' -n 1)
fi
# unity_app=/Applications/Unity5.4.2/Unity5.4.2.app/Contents/MacOS/Unity
# unity_app=/Applications/Unity5.3.6/Unity5... | true |
0d931247a41a29ba8afc4ff8d24ba520cdc104cc | Shell | kkleidal/identify | /shell/import.sh | UTF-8 | 153 | 2.515625 | 3 | [
"MIT"
] | permissive | # echo "$1";
# echo "";
{
if [ "$2" == "1" ]; then
gpg --allow-secret-key-import --import "$1";
else
gpg --import "$1";
fi
}
| true |
29b88203b055d9fa9111c4606ead24307cb07a19 | Shell | Adryd/dotfiles | /fuckery/dos/MSDOS.zsh | UTF-8 | 1,772 | 2.8125 | 3 | [] | no_license |
echo -e -n "\033]50;SetProfile=VGA\a"
echo -e -n "\033Ptmux;\033\033\033]1337;SetProfile=VGA\007\033\\"
clear
sleep 0.5
if [[ $ISTMUX ]]; then
cat ~/.ashell/fuckery/dos/logoframe3
sleep 0.25
else
~/.iterm2/imgcat ~/.ashell/fuckery/dos/logo.png
sleep 2
fi
DOS_TEXT_BIOSYEAR1=""
DOS_TEXT_BIOSYEAR2=""
DOS_TEXT_MS="MS"
... | true |
9c84e724db7498108fa359be1b8d61e2453d433b | Shell | Carol7S/Emergency | /linux.sh | UTF-8 | 11,320 | 3.484375 | 3 | [] | no_license | #!/bin/bash
echo "
____ _ _ ____ ____ ____ ____ _ _ ____ _ _
|___ |\/| |___ |__/ | __ |___ |\ | | \_/
|___ | | |___ | \ |__] |___ | \| |___ |
Powered by 1997CN ... | true |
09c5598036099eda2e9e4849aeb2f89245765022 | Shell | dzsquared/mssql-django-demo | /.devcontainer/postCreateCommand.sh | UTF-8 | 986 | 3.046875 | 3 | [
"MIT"
] | permissive | sqlfiles="false"
SApassword=$1
sqlpath=$2
echo "SELECT * FROM SYS.DATABASES" | dd of=testsqlconnection.sql
for i in {1..60};
do
/opt/mssql-tools/bin/sqlcmd -S localhost -U sa -P $SApassword -d master -i testsqlconnection.sql
if [ $? -eq 0 ]
then
echo "sql server ready"
break
else
... | true |
f1effa133bfbd18a8b7eef6d8895f0318bdfa8d8 | Shell | mangalbhaskar/maskrcnn_sophisticate- | /scripts/annon/run_release_modelinfo.sh | UTF-8 | 1,457 | 3.75 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/bin/bash
##----------------------------------------------------------
### Run batch script
## created on 20th-Jun-2019
#
## Process all the annotation files one by one in a given annotation directory
##----------------------------------------------------------
## Usage:
#
## source run_release_modelinfo.sh <annon_d... | true |
ae2abebde1eefb8dd570c5da1821fcdffed528ad | Shell | djannot/dcos-demos | /core/deploy-jupyterlab.sh | UTF-8 | 1,344 | 2.703125 | 3 | [] | no_license | cd $(dirname $0)
export SERVICEPATH=$1
export SERVICEHOSTNAME=$(echo ${SERVICEPATH} | sed 's/\///g')
export SERVICEACCOUNT=$(echo ${SERVICEPATH} | sed 's/\//-/g')
./create-service-account.sh
dcos security org users delete user1
dcos security org users create -p password user1
dcos security org users grant user1 dcos... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.